Bug 839930 - There is no message if debug level number is out of scope when run a virsh command with -d option
There is no message if debug level number is out of scope when run a virsh co...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Ján Tomko
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 04:48 EDT by Geyang Kong
Modified: 2013-08-04 23:43 EDT (History)
12 users (show)

See Also:
Fixed In Version: libvirt-0.10.0-0rc0.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:19:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geyang Kong 2012-07-13 04:48:51 EDT
Description of problem:
  There is no message if debug level number is out of scope when run a virsh command with -d option.

Version-Release number of selected component (if applicable):
libvirt-0.9.10-21.el6_3.1.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Make sure there is a storage pool.
2. Run #virsh -d 10000 pool-start $poolname.
3. Run #virsh -d -10000 pool-start $poolname.

Actual results:
1. Command 2 and 3 can work normally without any messages.

Expected results:
1. At least, there should be some warning messages said the debug level is out of scope. Normally, debug level should be in 0-4.

Additional info:
1. Steps in this bug is just a example, this issue can be reproduced by all virsh commands with -d option.
Comment 2 Ján Tomko 2012-07-26 09:37:26 EDT
Upstream patch proposed
https://www.redhat.com/archives/libvir-list/2012-July/msg01480.html
Comment 3 Ján Tomko 2012-07-27 05:39:21 EDT
Fixed by commit 4fedf388f68b49dd1a8334f75272c3bfddd6032c
    virsh: check if specified debug level is in range
Comment 5 zhpeng 2012-08-06 00:02:55 EDT
Test it with libvirt-0.10.0-0rc0.el6

# virsh -d 1000 pool-destroy default
error: ignoring debug level 1000 out of range [0-4]
Pool default destroyed

So it's verified
Comment 6 errata-xmlrpc 2013-02-21 02:19:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.